Skip to content

Simulate adding new requirement

Request

Creates a new requirement for a KYC (Know Your Customer) review for a business profile.

This can only be used for business profiles. It creates a static BUSINESS_USE_CASE requirement only.

Security
UserToken
Path
profileIdinteger, (int64)required

The profile ID requiring the new requirement to be added.

kycReviewIdstring, (uuid)required

The ID of the existing KYC review.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
requestedActionstring

The action to be carried out.

Enum:"APPROVE""REJECT"
requirementstring

Requirement to simulate hosted journey for.

curl -i -X POST \
  'https://api.wise.com/v2/simulation/profiles/{profileId}/kyc-reviews/{kycReviewId}/requirements/add' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "requestedAction": "APPROVE",
    "requirement": "string"
  }'

Responses

Requirement added successfully. No content returned.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Response
No content